够意思博客够意思博客够意思博客

Centos7 宝塔升级swoole版本

安装swoole

1,首先进入指定目录后下载指定swoole版本:cd /usr/local/src,wget https://github.com/swoole/swoole-src/archive/v4.4.22.tar.gz;(或者下载到本地再上传到服务器)

2,下载下来后,解压并进入解压后的目录:tar -zxvf  v4.5.2.tar.gz,cd swoole-src-4.4.22.tar.gz;

3,在当前目录执行phpize,由于我用的是宝塔,所以我的执行命令是:/www/server/php/72/bin/phpize;

4,接着执行./configure,可能会报错说找不到php-config,此时需执行:./configure --with-php-config=/www/server/php/72/bin/php-config;

5,以上步骤成功后,依次再执行make clean(如果是升级swoole版本则先执行make clean),make && make install;

6,最后,修改php.ini,把swoole扩展添加到php.ini,在php.ini中添加:extension=swoole.so;

7,查看扩展是否已经添加进去:php -m,查看安装的swoole版本:php --ri swoole。

重新编译安装swoole

1,这里重新编译安装swoole以支持openssl,进入解压后的swoole目录,运行:./configrure --enable-openssl --with-php-config=/www/server/php/72/bin/php-config;

2,清理之前的编译记录,运行:make clean;

3,编译,运行:make -j;

4,安装,运行:make install;

5,安装完成后查看安装的swoole信息,运行:php --ri swoole,可以看到已经支持openssl了。


本文为够意思原创文章,转载无需和我联系,但请注明来自够意思博客blog.go1s.cn:够意思博客 » Centos7 宝塔升级swoole版本

加载中~